MooseX::Types::Combine(3)

NAME
MooseX::Types::Combine - Combine type libraries for exporting

VERSION
version 0.35

SYNOPSIS
    package CombinedTypeLib;

    use base 'MooseX::Types::Combine';

    __PACKAGE__->provide_types_from(qw/TypeLib1 TypeLib2/);

    package UserClass;

    use CombinedTypeLib qw/Type1 Type2 ... /;

DESCRIPTION
Allows you to export types from multiple type libraries.

Libraries on the right side of the type libs passed to "provide_types_from" take precedence over those on the left in case of conflicts.

CLASS METHODS

  provide_types_from
Sets or returns a list of type libraries to re-export from.

SEE ALSO
MooseX::Types

LICENSE
This program is free software; you can redistribute it and/or modify it under the same terms as perl itself.

AUTHOR
Robert "phaylon" Sedlacek <rs@474.at>

COPYRIGHT AND LICENSE
This software is copyright (c) 2012 by Robert "phaylon" Sedlacek.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.